# Tokenomics + Network Report
This is a report which explains the current state of the Joystream network in numbers. It pulls figures from the chain and tries to provide a basic level of information about the network, tokens and more. 

## 1.0 Basic Information
* Block range: 3690000 - 3790799
* Date Range: 12/22/2021 - 12/29/2021
* Council session #: 36

## 2.0 Tokenomics
### 2.1 Token generation breakdown
| Property            | Start Block | End Block | % Change |
|---------------------|--------------|--------------|----------|
| Total Tokens Minted |  2467771694 | 2578024640 | 4.47 |
| USD Pool |  66311.43 | 67823.75 | 2.28 |

| Property            | Value        |
|---------------------|--------------|
| Total Tokens Burned | 45706394 |
| Spending Proposals (Executed) | 27852890 |
| Bounties paid       | 19878011 |
| Validator Role      | 35614269 |
| Storage Role        | 8507660 |
| Curator Role        | 7648455.00 |
| Operations Role     | 10316875 |

### 2.2 Fiat Pool
| Property            | Start Block, USD | End Block, USD | % Change |
|---------------------|--------------|--------------|----------|
| USD Pool | 66311.43 | 67823.75 | 2.28 |

| Refill, USD | Reason | Block # |
|---------------------|--------------|--------------|
| 960 | bounty-18 | 3693627 |
| 1800 | bounty-24 | 3693631 |


### 2.3 Mints
| Property                    | Start Block           | End Block | % Change |
|-----------------------------|-----------------------|--------------|----------|
| Council Mint Total Minted   | 1124802052  | 1157514942 |2.91 |
| Curator Mint Total Minted   | 221143510 | 228791965 | 3.46 |
| Storage Mint Total Minted   | 211002757 | 219510417 | 4.03 |
| Operations Mint Total Minted | 277698851 | 288015726 | 3.72 |


### 2.4 tJOY Inflation

* Start Block Exchange Rate, USD/1M tJOY: 27.89
* End Block Exchange Rate, USD/1M tJOY: 26.33
* Inflation, %: 5.91

Negative value indicates deflation

## 3.0 Council
* Council session #: 36
* Number of council members: 20
* Total number of proposals: 25
* Total number of Approved proposals: 20

### 3.1 Elections
| Property                    | Start Block  |
|-----------------------------|--------------|
| Total Applicants            | 26 |
| Total Applicant Stake       | 138102000 |
| Total Votes                 | 27 |

## 4 Roles
### 4.1 Validator Information
* Block generation time (average): 6.09

| Property                   | Start Block | End Block | % Change |
|----------------------------|--------------|--------------|----------|
| Number of Validators       | 75 / 75 | 70 / 75 | -6.67 |
| Validator Total Stake      | 619547258 | 715506319 | 15.49 |


### 4.2 Storage Role
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of Storage Workers | 11 | 11 | 0 |
| Total Storage Stake (workers + lead) | 1100000 | 1100000 | 0 |

| # | Member | Status | tJOY / Block | M tJOY Term | M tJOY total |
|--|--|--|--|--|--|
| 3 | [@joystreamstats](https://pioneer.joystreamstats.live/#/members/joystreamstats) | active | 11 | 0.8 | 21.5 |
| 4 | [@julysake](https://pioneer.joystreamstats.live/#/members/julysake) | active | 11 | 0.8 | 21.3 |
| 6 | [@kalpakci](https://pioneer.joystreamstats.live/#/members/kalpakci) | active | 11 | 0.8 | 21.6 |
| 15 | [@maxlevush](https://pioneer.joystreamstats.live/#/members/maxlevush) | active | 11 | 0.8 | 16.7 |
| 16 | [@plycho](https://pioneer.joystreamstats.live/#/members/plycho) | active | 11 | 0.8 | 17.2 |
| 17 | [@dapplooker](https://pioneer.joystreamstats.live/#/members/dapplooker) | active | 11 | 0.8 | 16.6 |
| 18 | [@godshunter](https://pioneer.joystreamstats.live/#/members/godshunter) | active | 11 | 0.8 | 14.4 |
| 19 | [@bwhm0](https://pioneer.joystreamstats.live/#/members/bwhm0) | active | 0 | 0.0 | 0.0 |
| 21 | [@seainvestor](https://pioneer.joystreamstats.live/#/members/seainvestor) | active | 11 | 0.8 | 11.2 |
| 22 | [@0x2bc](https://pioneer.joystreamstats.live/#/members/0x2bc) | active | 24 | 1.9 | 24.0 |


### 4.3 Curator Role
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of Curators      | 6 | 9 | 50 |

| # | Member | Status | tJOY / Block | M tJOY Term | M tJOY total |
|--|--|--|--|--|--|
| 7 | [@l1dev](https://pioneer.joystreamstats.live/#/members/l1dev) | active | 0 | 0.0 | 10.4 |
| 16 | [@kiraa](https://pioneer.joystreamstats.live/#/members/kiraa) | active | 11 | 1.1 | 23.4 |
| 18 | [@mmsaww](https://pioneer.joystreamstats.live/#/members/mmsaww) | active | 11 | 1.1 | 21.2 |
| 19 | [@kadyrovs](https://pioneer.joystreamstats.live/#/members/kadyrovs) | active | 11 | 1.1 | 18.6 |
| 22 | [@igrex](https://pioneer.joystreamstats.live/#/members/igrex) | active | 11 | 1.1 | 16.8 |
| 23 | [@oxygen](https://pioneer.joystreamstats.live/#/members/oxygen) | active | 22 | 1.6 | 1.6 |
| 24 | [@spat_sochi](https://pioneer.joystreamstats.live/#/members/spat_sochi) | active | 11 | 0.4 | 0.4 |
| 25 | [@kriptos](https://pioneer.joystreamstats.live/#/members/kriptos) | active | 11 | 0.4 | 0.4 |
| 26 | [@arseniy2706](https://pioneer.joystreamstats.live/#/members/arseniy2706) | active | 11 | 0.4 | 0.4 |


### 4.4 Operations Role
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of Operations Workers      | 20 | 20 | 0 |
| Total Operations Stake (workers + lead) | 1150000 | 1150000 | 0 |

| # | Member | Status | tJOY / Block | M tJOY Term | M tJOY total |
|--|--|--|--|--|--|
| 0 | [@l1dev](https://pioneer.joystreamstats.live/#/members/l1dev) | active | 35 | 2.1 | 56.9 |
| 15 | [@isonar](https://pioneer.joystreamstats.live/#/members/isonar) | active | 28 | 1.7 | 14.9 |
| 16 | [@lkskrn](https://pioneer.joystreamstats.live/#/members/lkskrn) | active | 14 | 0.8 | 47.5 |
| 17 | [@freakstatic](https://pioneer.joystreamstats.live/#/members/freakstatic) | active | 1 | 0.1 | 13.6 |
| 18 | [@dapplooker](https://pioneer.joystreamstats.live/#/members/dapplooker) | active | 3 | 0.1 | 14.4 |
| 20 | [@joystreamstats](https://pioneer.joystreamstats.live/#/members/joystreamstats) | active | 15 | 0.8 | 19.5 |
| 22 | [@arseniy2706](https://pioneer.joystreamstats.live/#/members/arseniy2706) | active | 7 | 0.3 | 4.4 |
| 24 | [@shtihmas](https://pioneer.joystreamstats.live/#/members/shtihmas) | active | 0 | 0.0 | 1.6 |
| 26 | [@zazik](https://pioneer.joystreamstats.live/#/members/zazik) | active | 0 | 0.0 | 0.0 |
| 29 | [@goldmember](https://pioneer.joystreamstats.live/#/members/goldmember) | active | 0 | 0.0 | 0.0 |
| 31 | [@ilich](https://pioneer.joystreamstats.live/#/members/ilich) | active | 3 | 0.1 | 1.4 |
| 32 | [@kate_fm](https://pioneer.joystreamstats.live/#/members/kate_fm) | active | 3 | 0.1 | 2.9 |
| 33 | [@ururu](https://pioneer.joystreamstats.live/#/members/ururu) | active | 14 | 0.7 | 7.0 |
| 34 | [@andybut](https://pioneer.joystreamstats.live/#/members/andybut) | active | 28 | 1.6 | 46.5 |
| 36 | [@chiffah](https://pioneer.joystreamstats.live/#/members/chiffah) | active | 4 | 0.2 | 3.3 |
| 39 | [@whitebarbie](https://pioneer.joystreamstats.live/#/members/whitebarbie) | active | 14 | 0.8 | 9.1 |
| 44 | [@oxygen](https://pioneer.joystreamstats.live/#/members/oxygen) | active | 3 | 0.2 | 3.4 |
| 45 | [@spat_sochi](https://pioneer.joystreamstats.live/#/members/spat_sochi) | active | 3 | 0.2 | 4.8 |
| 46 | [@svasilenko](https://pioneer.joystreamstats.live/#/members/svasilenko) | active | 3 | 0.2 | 0.6 |
| 47 | [@catemoon](https://pioneer.joystreamstats.live/#/members/catemoon) | active | 3 | 0.2 | 0.6 |


## 5.0 User Generated Content
### 5.1 Membership Information
| Property          | Start Block | End Block | % Change |
|-------------------|--------------|--------------|----------|
| Number of members | 3197|  3222 | 0.78 |

### 5.2 Media & Uploads
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of uploads       | 8593 | 8768  |  2.04 |
| Size of content (MB)    |  1128130.61 |  1153425.9 | 2.24 |
| Number of channels      |  628 | 641 | 2.07 |

### 5.3 Forum Activity
| Property          | Start Block | End Block | % Change |
|-------------------|--------------|--------------|----------|
| Number of categories | 57 | 57 | 0 |
| Number of threads    | 828 | 845 | 2.05 |
| Number of posts      | 8780 | 9050 | 3.08 |
